function CompraSimplificadaService(restEngine) {
    
    this.saveFilterCompraSimplificada = function(filter) {
        return restEngine.post('cmp_compra_simplificada#/compra_simplificada/save', {
            "requestType": "FilterData",
            "filter": [
                {"name": "P_CDFILSOLI",     "operator": "=", "value": filter.CDFILSOLI},
                {"name": "P_CDNVPRODUTO",   "operator": "=", "value": filter.CDNVPRODUTO},
    		    {"name": "P_CDPRODUTO",     "operator": "=", "value": filter.CDPRODUTO},
    		    {"name": "P_DTENTRINI",     "operator": "=", "value": filter.DTENTREGA.start},
    		    {"name": "P_DTENTRFIM",     "operator": "=", "value": filter.DTENTREGA.end} 
            ]
        });
    };
    
    this.deleteFilterCompraSimplificada = function(row) {
        return restEngine.post('cmp_compra_simplificada#/compra_simplificada/delete', {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.getParametrosNecessidadeCompra = function(row) {
        return restEngine.post('cmp#/parametros_calculo_necessidade_compras', {
            "requestType": "Row",
            "row": row
        });
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('CompraSimplificadaService', CompraSimplificadaService);
});